Mailinglist Archive: opensuse (2700 mails)

< Previous Next >
Compiling Courier authlib on Suse 9.2
  • From: Rob Brandt <bronto@xxxxxxxxxxx>
  • Date: Sat, 2 Jul 2005 00:10:11 -0700
  • Message-id: <1120288211.4485020874df2@xxxxxxxxxxxxxxxxx>
I'm attempting to get courier-imap & maildrop with mysql authentication compiled
and installed through an rpm on a new server, an AMD Opteron (x86_64).

I am following the FAQ on creating an rpm on the courier web site using the
latest version of all files, however I am getting a dependency failure on
openldap. This is on courier-authlib. I have "openldap2" properly installed
from the SuSE server. So it seems to me that I have either a newer version
than what's required, or my version is simply named differently than what
courier expects. I'm tempted to comment out the openldap stuff in the .spec
file, but the docs warn against this. I will not be using openldap, only mysql
authentication.

What to do? I haven't done much rpm work before...

Thanks

Rob

< Previous Next >